Results 1 to 6 of 6

Thread: 10.04: I want to replace plymouth with usplash. Dependencies won't let me

  1. #1
    Join Date
    May 2010
    Location
    Russia
    Beans
    2
    Distro
    Ubuntu 10.04 Lucid Lynx

    Unhappy 10.04: I want to replace plymouth with usplash. Dependencies won't let me

    Hello everyone. I have Radeon HD 4550, which works best with proprietary drivers(fglrx). Okay, so plymouth fails to cooperate with them, because of different memory spaces they're running in. In synaptic, I clearly see splashy and usplash. Usplash has no problems with fglrx, so I want to replace plymouth with it. When I try to do this, I see that many-many programs such as acpid, alsa-utils, avahi-daemon, gdm, Xorg, apt utils well, almost everything, depends on this "little splash screen" . What the hell, seriously? Why do you include other splash screens in the repo? Why do you invent unnecessary package dependencies just to keep users with a buggy splash?

  2. #2
    Join Date
    Mar 2006
    Location
    Sweden
    Beans
    217
    Distro
    Ubuntu Development Release

    Re: 10.04: I want to replace plymouth with usplash. Dependencies won't let me

    There is always Debian if you want more control... I love Ubuntu, but sometimes I just go all out Debian, because of control.

  3. #3
    Join Date
    May 2010
    Location
    Russia
    Beans
    2
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: 10.04: I want to replace plymouth with usplash. Dependencies won't let me

    Quote Originally Posted by polki@mac.com View Post
    There is always Debian if you want more control... I love Ubuntu, but sometimes I just go all out Debian, because of control.
    Prior to this I've been in love with Ubuntu, now it's a sympathy There are some other threads appeared since mine, so it appears that plymouth is now in "core".

    Somebody opened a bug ticket on lauchpad about this:
    https://bugs.launchpad.net/ubuntu/+s...th/+bug/531331

    So I guess me and others would post there.

  4. #4
    Join Date
    Jun 2006
    Beans
    2,930

    Re: 10.04: I want to replace plymouth with usplash. Dependencies won't let me

    Quote Originally Posted by mehabox View Post
    Okay, so plymouth fails to cooperate with them, because of different memory spaces they're running in.
    What is happening?
    Fglrx should work with plymouth.
    Have you tried removing splash from the kernel options during boot?
    Support 7z in default installs!!!: Click Here

    How to use code blocks to post command output: Click Here
    Official Ubuntu Documentation

  5. #5
    Join Date
    Jul 2010
    Beans
    1

    Re: 10.04: I want to replace plymouth with usplash. Dependencies won't let me

    Quote Originally Posted by lavinog View Post
    What is happening?
    Fglrx should work with plymouth.
    Have you tried removing splash from the kernel options during boot?

    Wait... now I am confused... Does the ATI proprietary driver is KMS enabled? because I thought that was what was shattering Plymouth...

    Plymouth is a great piece of software! Good call from Ubuntu in using it... the sad thing is ATI proprietary drivers

  6. #6
    Join Date
    Jun 2006
    Beans
    2,930

    Re: 10.04: I want to replace plymouth with usplash. Dependencies won't let me

    KMS is not supported by fglrx, but plymouth should still work without KMS.
    Support 7z in default installs!!!: Click Here

    How to use code blocks to post command output: Click Here
    Official Ubuntu Documentation

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •